> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of all the available Spark masters



## OpenAPI

````yaml /api-reference/4.2/service-spark.json get /spark/master/status
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/master/status:
    get:
      tags:
        - 4.2 Spark API
      summary: Get the status of all the available Spark masters
      operationId: getAllMasterStatus
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SparkMasterStatus'
components:
  schemas:
    SparkMasterStatus:
      type: object
      properties:
        url:
          type: string
        status:
          type: string
        workers:
          type: array
          items:
            $ref: '#/components/schemas/WorkerStatus'
        cores:
          type: integer
          format: int32
        coresused:
          type: integer
          format: int32
        memory:
          type: integer
          format: int32
        memoryused:
          type: integer
          format: int32
        activeapps:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationStatus'
        completedapps:
          type: array
          items:
            $ref: '#/components/schemas/ApplicationStatus'
        activedrivers:
          type: array
          items:
            type: object
            additionalProperties:
              type: object
    WorkerStatus:
      type: object
      properties:
        id:
          type: string
        host:
          type: string
        port:
          type: integer
          format: int32
        webuiaddress:
          type: string
        cores:
          type: integer
          format: int32
        coresused:
          type: integer
          format: int32
        coresfree:
          type: integer
          format: int32
        memoryused:
          type: integer
          format: int32
        memoryfree:
          type: integer
          format: int32
        state:
          type: string
        lastheartbeat:
          type: integer
          format: int64
    ApplicationStatus:
      type: object
      properties:
        id:
          type: string
        starttime:
          type: integer
          format: int64
        name:
          type: string
        user:
          type: string
        memoryperslave:
          type: integer
          format: int32
        submitdate:
          type: string
        state:
          type: string
        duration:
          type: integer
          format: int64

````